<!DOCTYPE html>
<html lang="en" data-theme="light">
    <head prefix="og: http://ogp.me/ns# article: http://ogp.me/ns/article#">
    <meta charset="UTF-8" />

    <meta name="generator" content="Hugo 0.72.0" /><meta name="theme-color" content="#fff" />
        <script>
            const userPrefers = localStorage.getItem('theme');
            const darkModeMediaQuery = window.matchMedia('(prefers-color-scheme: dark)');
            const lightModeMediaQuery = window.matchMedia('(prefers-color-scheme: light)');
            if (userPrefers === 'dark') {
                changeModeMeta('dark');
            } else if (userPrefers === 'light') {
                changeModeMeta('light');
            } else if (darkModeMediaQuery.matches) {
                changeModeMeta('dark');
            } else if (lightModeMediaQuery.matches) {
                changeModeMeta('light');
            }
            function changeModeMeta(theme) {
                document.documentElement.setAttribute('data-theme', theme);
                if (theme === 'dark') {
                    changeThemeColor('#16171d');
                } else {
                    changeThemeColor('#fff');
                }
            }
            function changeThemeColor(themeColor) {
                document.querySelector('meta[name="theme-color"]').setAttribute('content', themeColor);
            }
        </script>

    

    
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    
    <meta name="format-detection" content="telephone=no, date=no, address=no, email=no" />
    
    <meta http-equiv="Cache-Control" content="no-transform" />
    
    <meta http-equiv="Cache-Control" content="no-siteapp" />

    <title>CKAD Core Concepts | home</title>

    <link rel="stylesheet" href="/css/meme.min.893faf351d4f1b2d9e905272a9ba1dec26d0a37a4fd64b010fcee21040dcabbb.css" integrity="sha256-iT+vNR1PGy2ekFJyqbod7CbQo3pP1ksBD87iEEDcq7s=" />

    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />

        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=IBM&#43;Plex&#43;Serif:ital,wght@0,400;0,500;0,700;1,400;1,700&amp;family=Source&#43;Code&#43;Pro:ital,wght@0,400;0,700;1,400;1,700&amp;family=Comfortaa:wght@700&amp;display=swap" media="print" onload="this.media='all'" />
        <noscript><link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=IBM&#43;Plex&#43;Serif:ital,wght@0,400;0,500;0,700;1,400;1,700&amp;family=Source&#43;Code&#43;Pro:ital,wght@0,400;0,700;1,400;1,700&amp;family=Comfortaa:wght@700&amp;display=swap" /></noscript>

    <meta name="author" content="rhidayat" />
    <meta name="description" content="Core concepts (13%)
Practise questions based on these concepts:
 Understand Kubernetes API Primitives Create ANd configure Basic Pods  Tulisan kali ini saya akan membahas materi core concepts untuk ujian CKAD." />

    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    <link rel="mask-icon" href="/icons/safari-pinned-tab.svg" color="#2a6df4" />
    <link rel="apple-touch-icon" sizes="180x180" href="/icons/apple-touch-icon.png" />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-title" content="home" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
    <meta name="mobile-web-app-capable" content="yes" />
    <meta name="application-name" content="home" />
    <meta name="msapplication-starturl" content="../../" />
    <meta name="msapplication-TileColor" content="#fff" />
    <meta name="msapplication-TileImage" content="../../icons/mstile-150x150.png" />
    <link rel="manifest" href="/manifest.json" />

    
    

    
    <link rel="canonical" href="https://rhidayat.onrender.com/posts/ckad-core-concepts/" />



<script type="application/ld+json">
    {
        "@context": "https://schema.org",
        "@type": "BlogPosting",
        "datePublished": "2020-04-10T11:01:07+08:00",
        "dateModified": "2020-04-11T14:26:38+08:00",
        "url": "https://rhidayat.onrender.com/posts/ckad-core-concepts/",
        "headline": "CKAD Core Concepts",
        "description": "Core concepts (13%)\nPractise questions based on these concepts:\n Understand Kubernetes API Primitives Create ANd configure Basic Pods  Tulisan kali ini saya akan membahas materi core concepts untuk ujian CKAD.",
        "inLanguage" : "en",
        "articleSection": "posts",
        "wordCount":  1063 ,
        "image": "https://rhidayat.onrender.com/icons/apple-touch-icon.png",
        "author": {
            "@type": "Person",
            "description": "Viva La Vida",
            "email": "r.hidayat1980@gmail.com",
            "image": "https://rhidayat.onrender.com/icons/apple-touch-icon.png",
            "url": "https://rhidayat.onrender.com/",
            "name": "rhidayat"
        },
        "license": "[CC BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0/deed.en)",
        "publisher": {
            "@type": "Organization",
            "name": "home",
            "logo": {
                "@type": "ImageObject",
                "url": "https://rhidayat.onrender.com/icons/apple-touch-icon.png"
            },
            "url": "https://rhidayat.onrender.com/"
        },
        "mainEntityOfPage": {
            "@type": "WebSite",
            "@id": "https://rhidayat.onrender.com/"
        }
    }
</script>

    



<meta name="twitter:card" content="summary" />

<meta name="twitter:site" content="@rhidayat" />
<meta name="twitter:creator" content="@rhidayat" />

    





<meta property="og:title" content="CKAD Core Concepts" />
<meta property="og:description" content="Core concepts (13%)
Practise questions based on these concepts:
 Understand Kubernetes API Primitives Create ANd configure Basic Pods  Tulisan kali ini saya akan membahas materi core concepts untuk ujian CKAD." />
<meta property="og:url" content="https://rhidayat.onrender.com/posts/ckad-core-concepts/" />
<meta property="og:site_name" content="home" />
<meta property="og:locale" content="en" /><meta property="og:image" content="https://rhidayat.onrender.com/icons/apple-touch-icon.png" />
    <meta property="og:type" content="article" />
    <meta property="article:published_time" content="2020-04-10T11:01:07+08:00" />
    <meta property="article:modified_time" content="2020-04-11T14:26:38+08:00" />
    
    <meta property="article:section" content="posts" />



    
</head>

    <body>
        <div class="container">
            
    <header class="header" data-scroll-header>
        
            <div class="header-wrapper">
                <div class="header-inner">
                    
    <div class="site-brand">
        
            <a href="/" class="brand">home</a>
        
    </div>

                    <nav class="nav">
    <ul class="menu" id="menu">
        
            
        
        
        
        
            
                <li class="menu-item"><a href="/posts/"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="icon "><path d="M32 448c0 17.7 14.3 32 32 32h384c17.7 0 32-14.3 32-32V160H32v288zm160-212c0-6.6 5.4-12 12-12h104c6.6 0 12 5.4 12 12v8c0 6.6-5.4 12-12 12H204c-6.6 0-12-5.4-12-12v-8zM480 32H32C14.3 32 0 46.3 0 64v48c0 8.8 7.2 16 16 16h480c8.8 0 16-7.2 16-16V64c0-17.7-14.3-32-32-32z"/></svg><span class="menu-item-name">Posts</span></a>
                </li>
            
        
            
                <li class="menu-item"><a href="/categories/"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="icon "><path d="M149.333 56v80c0 13.255-10.745 24-24 24H24c-13.255 0-24-10.745-24-24V56c0-13.255 10.745-24 24-24h101.333c13.255 0 24 10.745 24 24zm181.334 240v-80c0-13.255-10.745-24-24-24H205.333c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24h101.333c13.256 0 24.001-10.745 24.001-24zm32-240v80c0 13.255 10.745 24 24 24H488c13.255 0 24-10.745 24-24V56c0-13.255-10.745-24-24-24H386.667c-13.255 0-24 10.745-24 24zm-32 80V56c0-13.255-10.745-24-24-24H205.333c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24h101.333c13.256 0 24.001-10.745 24.001-24zm-205.334 56H24c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24h101.333c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24zM0 376v80c0 13.255 10.745 24 24 24h101.333c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H24c-13.255 0-24 10.745-24 24zm386.667-56H488c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H386.667c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24zm0 160H488c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H386.667c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24zM181.333 376v80c0 13.255 10.745 24 24 24h101.333c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H205.333c-13.255 0-24 10.745-24 24z"/></svg><span class="menu-item-name">Categories</span></a>
                </li>
            
        
            
                <li class="menu-item"><a href="/tags/"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 512" class="icon "><path d="M497.941 225.941L286.059 14.059A48 48 0 0 0 252.118 0H48C21.49 0 0 21.49 0 48v204.118a48 48 0 0 0 14.059 33.941l211.882 211.882c18.744 18.745 49.136 18.746 67.882 0l204.118-204.118c18.745-18.745 18.745-49.137 0-67.882zM112 160c-26.51 0-48-21.49-48-48s21.49-48 48-48 48 21.49 48 48-21.49 48-48 48zm513.941 133.823L421.823 497.941c-18.745 18.745-49.137 18.745-67.882 0l-.36-.36L527.64 323.522c16.999-16.999 26.36-39.6 26.36-63.64s-9.362-46.641-26.36-63.64L331.397 0h48.721a48 48 0 0 1 33.941 14.059l211.882 211.882c18.745 18.745 18.745 49.137 0 67.882z"/></svg><span class="menu-item-name">Tags</span></a>
                </li>
            
        
            
                <li class="menu-item"><a href="/about/"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 496 512" class="icon "><path d="M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 96c48.6 0 88 39.4 88 88s-39.4 88-88 88-88-39.4-88-88 39.4-88 88-88zm0 344c-58.7 0-111.3-26.6-146.5-68.2 18.8-35.4 55.6-59.8 98.5-59.8 2.4 0 4.8.4 7.1 1.1 13 4.2 26.6 6.9 40.9 6.9 14.3 0 28-2.7 40.9-6.9 2.3-.7 4.7-1.1 7.1-1.1 42.9 0 79.7 24.4 98.5 59.8C359.3 421.4 306.7 448 248 448z"/></svg><span class="menu-item-name">About</span></a>
                </li>
            
        
            
                <li class="menu-item"><a href="/tools/"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 496 512" class="icon "><path d="M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 96c48.6 0 88 39.4 88 88s-39.4 88-88 88-88-39.4-88-88 39.4-88 88-88zm0 344c-58.7 0-111.3-26.6-146.5-68.2 18.8-35.4 55.6-59.8 98.5-59.8 2.4 0 4.8.4 7.1 1.1 13 4.2 26.6 6.9 40.9 6.9 14.3 0 28-2.7 40.9-6.9 2.3-.7 4.7-1.1 7.1-1.1 42.9 0 79.7 24.4 98.5 59.8C359.3 421.4 306.7 448 248 448z"/></svg><span class="menu-item-name">tools</span></a>
                </li>
            
        
            
                
                    <li class="menu-item">
                        
    
        
            
        
        <div id="theme-switcher">🌞</div>
    


                    </li>
                
            
        
            
                
            
        
    </ul>
</nav>

                </div>
            </div>
            
    <input type="checkbox" id="nav-toggle" aria-hidden="true" />
    <label for="nav-toggle" class="nav-toggle"></label>
    <label for="nav-toggle" class="nav-curtain"></label>


        
    </header>




            
            
    <main class="main single" id="main">
    <div class="main-inner">

        <article class="content post" data-small-caps="true" data-type="posts" data-toc-num="true">

            <h1 class="post-title">CKAD Core Concepts</h1>

            

            
                
            

            
                

<div class="post-meta">
    
        
        <time datetime="2020-04-10T11:01:07+08:00" class="post-meta-item published"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" class="icon post-meta-icon"><path d="M148 288h-40c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12zm108-12v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm96 0v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm-96 96v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm-96 0v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm192 0v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm96-260v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V112c0-26.5 21.5-48 48-48h48V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h128V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h48c26.5 0 48 21.5 48 48zm-48 346V160H48v298c0 3.3 2.7 6 6 6h340c3.3 0 6-2.7 6-6z"/></svg>&nbsp;2020.4.10</time>
    
    
        
        <time datetime="2020-04-11T14:26:38+08:00" class="post-meta-item modified"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" class="icon post-meta-icon"><path d="M400 64h-48V12c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v52H160V12c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v52H48C21.49 64 0 85.49 0 112v352c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48V112c0-26.51-21.49-48-48-48zm-6 400H54a6 6 0 0 1-6-6V160h352v298a6 6 0 0 1-6 6zm-52.849-200.65L198.842 404.519c-4.705 4.667-12.303 4.637-16.971-.068l-75.091-75.699c-4.667-4.705-4.637-12.303.068-16.971l22.719-22.536c4.705-4.667 12.303-4.637 16.97.069l44.104 44.461 111.072-110.181c4.705-4.667 12.303-4.637 16.971.068l22.536 22.718c4.667 4.705 4.636 12.303-.069 16.97z"/></svg>&nbsp;2020.4.11</time>
    
    
    
        
        
        
            
                
                <span class="post-meta-item category"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="icon post-meta-icon"><path d="M464 128H272l-54.63-54.63c-6-6-14.14-9.37-22.63-9.37H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V176c0-26.51-21.49-48-48-48zm0 272H48V112h140.12l54.63 54.63c6 6 14.14 9.37 22.63 9.37H464v224z"/></svg>&nbsp;<a href="/categories/kubernetes/" class="category-link">kubernetes</a>/<a href="/categories/ckad/" class="category-link">CKAD</a></span>
            
        
    
    
        
        <span class="post-meta-item wordcount"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="icon post-meta-icon"><path d="M497.9 142.1l-46.1 46.1c-4.7 4.7-12.3 4.7-17 0l-111-111c-4.7-4.7-4.7-12.3 0-17l46.1-46.1c18.7-18.7 49.1-18.7 67.9 0l60.1 60.1c18.8 18.7 18.8 49.1 0 67.9zM284.2 99.8L21.6 362.4.4 483.9c-2.9 16.4 11.4 30.6 27.8 27.8l121.5-21.3 262.6-262.6c4.7-4.7 4.7-12.3 0-17l-111-111c-4.8-4.7-12.4-4.7-17.1 0zM124.1 339.9c-5.5-5.5-5.5-14.3 0-19.8l154-154c5.5-5.5 14.3-5.5 19.8 0s5.5 14.3 0 19.8l-154 154c-5.5 5.5-14.3 5.5-19.8 0zM88 424h48v36.3l-64.5 11.3-31.1-31.1L51.7 376H88v48z"/></svg>&nbsp;1063</span>
    
    
        
        <span class="post-meta-item reading-time"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="icon post-meta-icon"><path d="M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm0 448c-110.5 0-200-89.5-200-200S145.5 56 256 56s200 89.5 200 200-89.5 200-200 200zm61.8-104.4l-84.9-61.7c-3.1-2.3-4.9-5.9-4.9-9.7V116c0-6.6 5.4-12 12-12h32c6.6 0 12 5.4 12 12v141.7l66.8 48.6c5.4 3.9 6.5 11.4 2.6 16.8L334.6 349c-3.9 5.3-11.4 6.5-16.8 2.6z"/></svg>&nbsp;5&nbsp;mins</span>
    
    
</div>
            

            <div class="post-body"><p style="text-indent:0"><span class="drop-cap">C</span>ore concepts (13%)</p>
<p>Practise questions based on these concepts:</p>
<ul>
<li>Understand Kubernetes API Primitives</li>
<li>Create ANd configure Basic Pods</li>
</ul>
<p>Tulisan kali ini saya akan membahas materi core concepts untuk ujian CKAD.</p>
<p>konsep utama di kubernetes adalah memahami arsitektur dari kubernetes itu sendiri. Kubernetes cluster di bangun dari dua komponen yaitu komponen master dan worker(nodes/minions) dan di masing-masing komponen ini juga di susun lagi oleh komponen-komponen kecil.</p>
<p>k8s master terdiri dari:</p>
<ul>
<li>api server (frontend nya kubernetes, semua perintah kubectl berhubungan langsung dengan api server)</li>
<li>etcd data store (semua data beruba identity, kondisi, size, configurasi dari semuah obejct manifest di simpan di sini)</li>
<li>scheduler (seperti namanya ini untuk mendengarkan perintah dari controller dan melakukan komunikasi dengan kubelet)</li>
<li>controller (otak dari kubernetes yang memerintahkan ke komponen lain untuk melakuka perintah)</li>
</ul>
<p>k8s worker nodes terdiri dari:</p>
<ul>
<li>container runtime (dalam hal ini docker)</li>
<li>kubelet (sebagai networking dan bridge k8s master ke docker runtime)</li>
</ul>
<p>Di materi core concepts ini kita di minta untuk ngerti komponen terkecil dari kubernetes yaitu pod. pod adalah lingkungan yang akan menjalankan container di worker nodes. semua container yg berada dalam satu pod secara otomatis akan sharing network, proses dan juga volumes (direktori dan file system).</p>
<p>buat yang penasaran dengan berapa banyak default object yang ada di kubernetes bisa melihat dengan menjalankan perintah berikut:</p>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl api-server
</code></pre><p>Materi core concepts kita diminta untuk ngerti apa itu <code>namespaces</code>, <code>pods</code>, mengelola pod secara runtime dengan perintah <code>kubectl run</code>, mengelola pod secara deskriptif dengan perintah <code>kubectl create</code> atau <code>kubectl apply</code> lalu diminta untuk coba jalanin pod di namespace tertentu yang diminta.</p>
<p>perintah-perintah runtime tidak membutuhkan input yaml atau json file, sedangkan perintah deskriptif memerlukan input file yaml atau jason.</p>
<p>kalau teman-teman bingung dengan dua tipe file ini, sebetulnya kubernetes hanya menerima json file, <code>namun dibalik layar si kubectl command ini melakukan transformasi dari yaml ke json</code>.</p>
<p>untuk membedakan standar output ketika debugging kubernetes object kita bisa ngasih flag <code>-o yaml</code> atau <code>-o json</code>, ini untuk melihat output dalam bentuk yaml atau json. misalnya:</p>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get pod nginx -o yaml 
kubectl get pod nginx -o json 
</code></pre><ol>
<li>buat namespace nyx dan deploy pod busybox di namespaces nyx</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl create ns nyx
kubectl run busybox --image=busybox --restart=Never --namespace=nyx
</code></pre><ol start="2">
<li>list semua namespace di clusters</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get namespaces
kubectl get ns
</code></pre><ol start="3">
<li>list semua pods di semua namespace</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get po --all-namespaces
</code></pre><ol start="4">
<li>list semua pods di namespace tertentu</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get po -n nyx
</code></pre><ol start="5">
<li>list semua service di namespace tertentu</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get svc -n nyx
</code></pre><ol start="6">
<li>list semua pods dengan name dan namespace nya deingan jsonpath</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get pods -o=jsonpath=&quot;{.items[*]'metadata.name','metadata.namespace'}&quot;
</code></pre><ol start="7">
<li>buat pod nginx di namespace default dan verify pod nginx tersebut running dengan baik</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl run nginx --image=nginx --restart=Never
kubectl get pods 
</code></pre><ol start="8">
<li>buat pod nginx yang sama tapi kali ini dengan menggunakan yaml file (cara deklaratif)</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl run nginx --image=nginx --restart=Never --dry-run -o yaml &gt; nginx-pod.yaml

// cat nginx-pod.yaml
apiVersion: v1
kind: Pod
metadata:
  creationTimestamp: null
  labels:
    run: nginx
  name: nginx
spec:
  containers:
  - image: nginx
    name: nginx
    resources: {}
  dnsPolicy: ClusterFirst
  restartPolicy: Never
status: {}

// create pod based on this yaml file
kubectl create -f nginx-pod.yaml
</code></pre><p>jika tanpa namespace flag maka otomatis akan ke namespace default.</p>
<ol start="9">
<li>cek hasil deploy pod nginx, output harus yaml</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get po nginx -o yaml 
</code></pre><ol start="10">
<li>print yaml file dari pod nginx tanpa cluster specific information.</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get po nginx -o yaml --export
</code></pre><ol start="11">
<li>print informasi detail dari pod nginx</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl describe pod nginx
</code></pre><ol start="12">
<li>delete pod nginx</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl delete po nginx 

// atau bisa juga denga cara
kubectl delete -f nginx-pod.yaml
</code></pre><ol start="13">
<li>delete pod tanpa delay</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl delete po nginx --grace-period=0 --force
</code></pre><ol start="14">
<li>buat pod nginx dengan versi nginx 1.17.4 dan expose di port 80</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl run nginx --image=nginx:1.17.4 --restart=Never --port=80
</code></pre><ol start="15">
<li>ubah versi image nginx ke 1.15-alpine pada pod nginx tadi, lalu verify</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl set image pod/nginx nginx=1.15-alpine
kubectl describe po nginx 

// cara lainnya dengan langung mengubah dengan kubectl edit
kubectl edit pod nginx

// verify pod nginx
kubectl describe po nginx
</code></pre><ol start="16">
<li>ubah balik versi nginx nya ke 1.17.1 dan cek hasilnya</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl set image pod/nginx nginx=1.17.1
kubectl describe po nginx

// -w untuk watch
kubectl get po nginx -w  
</code></pre><ol start="17">
<li>check versi tanpa kubectl describe</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get po nginx -o jsonpath='{.spec.containers[].image}{&quot;\n&quot;}'
</code></pre><p>18  buat pod nginx dan jalankan simple shell script di pod tersebut</p>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl run nginx --image=nginx --restart=Never

// exec ke dalam pod nginx
kubectl exec -it nginx /bin/sh
</code></pre><ol start="19">
<li>dapatkan info IP address pod nginx</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get po nginx -o wide
</code></pre><ol start="20">
<li>buat busybox pod dan jalankan perintah <code>ls</code> dan check log nya</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl run busybox --image=busybox --restart=Never --ls 
kubectl logs busybox
</code></pre><ol start="21">
<li>cara cek log jika pod yang di deploy crashed</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl logs busybox -p
</code></pre><ol start="22">
<li>buat pod busybox dan masukkan perintah sleep 3600</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl run busybox --image=busybox --restart=Never -- /bin/sh -c &quot;sleep 3600&quot;
</code></pre><ol start="23">
<li>cek koneksi nginx dari pod busybox</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">// dapat kan ip pod nginx
kubectl get po nginx -o wide 

// akses pod busybox
// ganti ip nginx dengan hasil perintah diatas
kubectl exec -it busybox -- wget -0- ip-nginx
</code></pre><ol start="24">
<li>buat pod busybox dan jalankan perintah echo &ldquo;How are you&rdquo; lalu delete pod itu manually</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl run busybox --image=busybox --restart=Never -it -- echo &quot;How are you&quot;

kubectl delete pod busybox
</code></pre><ol start="25">
<li>buat pod busybox dan jalankan perintah echo &ldquo;How are you&rdquo; lalu delete pod itu otomatis</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl run busybox --image=busybox --restart=Never -it --rm -- echo &quot;How are you&quot;
</code></pre><ol start="26">
<li>buat pod nginx dan list pod tersebut dengan level verbosity yg berbeda.</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl run nginx --image=nginx --restart=Never --port=80 

// list pod nginx dengan verbosity yg berbeda 
kubectl get po nginx --v=7
kubectl get po nginx --v=8 
kubectl get po nginx --v=9
</code></pre><ol start="27">
<li>list pod nginx dengan custom kolom POD_NAME dan POD_STATUS</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get po -o=custom-columns=&quot;POD_NAME:.metadata.name, POD_STATUS:.status.containersStatuses[].state&quot;
</code></pre><p>untuk tau formatnya kamu bisa pakai <code>kubectl explain pod --recursive</code></p>
<ol start="28">
<li>list semua pod based on namanya</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get pods --sort-by=.metadata.name
</code></pre><ol start="29">
<li>list semua pods based on created timestamp</li>
</ol>
<pre><code class="language-kubectl" data-lang="kubectl">kubectl get pods --sort-by=.metadata.creationTimestamp
</code></pre><p>rangkuman dari k8s core concept:</p>
<ul>
<li>harus tau apa itu namespace dan cara buat nya</li>
<li>ngerti apa itu pod, cara buat nya dengan cara on the fly dan deskriptif</li>
<li>cara generate yaml file dengan menambahkan flag &ndash;dry-run tiap kali mau membuat pods dengan alasan lebih mudah dan ada record yg bisa kita manipulasi nantinya.</li>
<li>mastering kubectl explain <code>k8s object</code></li>
<li>mastering kubectl help <code>k8s-object</code></li>
<li>mastering kubectl describe <code>k8s-object</code></li>
<li>mastering kubectl run</li>
<li>mastering kubectl create k8s-object</li>
<li>mastering cara melihat skema setiap <code>k8s-object</code> dengan cara <code>kubectl exmplain pods</code> misalnya</li>
<li>untuk ngelist semua k8s-object bisa dengan cara <code>kubectl api-servers</code></li>
</ul>
<p>kalau saya bilang k8s-object itu bisa pods, deployment, statefulsets, service, ingress, configmap dll.</p>
<p>Kualalumpur, 11 april 2020</p>
</div>

        </article>

        

        
    
    
    
        <ul class="post-copyright">
            <li class="copyright-item author"><span class="copyright-item-text">Author</span>: <a href="https://rhidayat.onrender.com/" target="_blank" rel="noopener">rhidayat</a></li>
            
                
                
                
                
                <li class="copyright-item link"><span class="copyright-item-text">Link</span>: <a href="/posts/ckad-core-concepts/" target="_blank" rel="noopener">https://rhidayat.onrender.com/posts/ckad-core-concepts/</a></li>
            
            <li class="copyright-item license"><span class="copyright-item-text">License</span>: <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/deed.en" target="_blank" rel="noopener">CC BY-NC-SA 4.0</a></li>
            
        </ul>
    



        
    <div class="updated-badge-container"><div title="Updated @ 2020-04-11 14:26:38 +08" style="cursor:help;display:inline-block">

<svg xmlns="http://www.w3.org/2000/svg" width="130" height="20" class="updated-badge"><linearGradient id="b" x2="0" y2="100%"><stop offset="0" stop-color="#bbb" stop-opacity=".1"/><stop offset="1" stop-opacity=".1"/></linearGradient><clipPath id="a"><rect width="130" height="20" rx="3" fill="#fff"/></clipPath><g clip-path="url(#a)"><path class="updated-badge-left" d="M0 0h55v20H0z"/><path class="updated-badge-right" d="M55 0h75v20H55z"/><path fill="url(#b)" d="M0 0h130v20H0z"/></g><g fill="#fff" text-anchor="middle" font-size="110"><text x="285" y="150" fill="#010101" fill-opacity=".3" textLength="450" transform="scale(.1)">updated</text><text x="285" y="140" textLength="450" transform="scale(.1)">updated</text><text x="915" y="150" fill="#010101" fill-opacity=".3" textLength="650" transform="scale(.1)">2020-04-11</text><text x="915" y="140" textLength="650" transform="scale(.1)">2020-04-11</text></g></svg></div></div>


        

        

<div class="post-share">

        

        <div class="share-items">

            
                
                <div class="share-item twitter">
                    
                    <a href="https://twitter.com/share?url=https://rhidayat.onrender.com/posts/ckad-core-concepts/&amp;text=CKAD%20Core%20Concepts&amp;hashtags=kubernetes,CKAD,&amp;via=rhidayat" title="Share on Twitter" target="_blank" rel="noopener"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="icon twitter-icon"><path d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z"/></svg></a>
                </div>
            

            
                
                <div class="share-item facebook">
                    
                    <a href="https://www.facebook.com/sharer/sharer.php?u=https://rhidayat.onrender.com/posts/ckad-core-concepts/&amp;hashtag=%23kubernetes" title="Share on Facebook" target="_blank" rel="noopener"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="icon facebook-icon"><path d="M504 256C504 119 393 8 256 8S8 119 8 256c0 123.78 90.69 226.38 209.25 245V327.69h-63V256h63v-54.64c0-62.15 37-96.48 93.67-96.48 27.14 0 55.52 4.84 55.52 4.84v61h-31.28c-30.8 0-40.41 19.12-40.41 38.73V256h68.78l-11 71.69h-57.78V501C413.31 482.38 504 379.78 504 256z"/></svg></a>
                </div>
            

            
                
                <div class="share-item linkedin">
                    
                    <a href="https://www.linkedin.com/shareArticle?mini=true&amp;url=https://rhidayat.onrender.com/posts/ckad-core-concepts/&amp;title=CKAD%20Core%20Concepts&amp;summary=Core%20concepts%20%2813%25%29%0aPractise%20questions%20based%20on%20these%20concepts:%0a%20Understand%20Kubernetes%20API%20Primitives%20Create%20ANd%20configure%20Basic%20Pods%20%20Tulisan%20kali%20ini%20saya%20akan%20membahas%20materi%20core%20concepts%20untuk%20ujian%20CKAD.&amp;source=home" title="Share on LinkedIn" target="_blank" rel="noopener"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" class="icon linkedin-icon"><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z"/></svg></a>
                </div>
            

            
                
                <div class="share-item telegram">
                    
                    <a href="https://t.me/share/url?url=https://rhidayat.onrender.com/posts/ckad-core-concepts/&amp;text=CKAD%20Core%20Concepts" title="Share on Telegram" target="_blank" rel="noopener"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 496 512" class="icon telegram-icon"><path d="M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm121.8 169.9l-40.7 191.8c-3 13.6-11.1 16.9-22.4 10.5l-62-45.7-29.9 28.8c-3.3 3.3-6.1 6.1-12.5 6.1l4.4-63.1 114.9-103.8c5-4.4-1.1-6.9-7.7-2.5l-142 89.4-61.2-19.1c-13.3-4.2-13.6-13.3 2.8-19.7l239.1-92.2c11.1-4 20.8 2.7 17.2 19.5z"/></svg></a>
                </div>
            

            
                
                <div class="share-item weibo">
                    
                    <a href="https://service.weibo.com/share/share.php?&amp;url=https://rhidayat.onrender.com/posts/ckad-core-concepts/&amp;title=CKAD%20Core%20Concepts&amp;pic=https://rhidayat.onrender.com/icons/apple-touch-icon.png&amp;searchPic=false" title="Share on Weibo" target="_blank" rel="noopener"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="icon weibo-icon"><path d="M407 177.6c7.6-24-13.4-46.8-37.4-41.7-22 4.8-28.8-28.1-7.1-32.8 50.1-10.9 92.3 37.1 76.5 84.8-6.8 21.2-38.8 10.8-32-10.3zM214.8 446.7C108.5 446.7 0 395.3 0 310.4c0-44.3 28-95.4 76.3-143.7C176 67 279.5 65.8 249.9 161c-4 13.1 12.3 5.7 12.3 6 79.5-33.6 140.5-16.8 114 51.4-3.7 9.4 1.1 10.9 8.3 13.1 135.7 42.3 34.8 215.2-169.7 215.2zm143.7-146.3c-5.4-55.7-78.5-94-163.4-85.7-84.8 8.6-148.8 60.3-143.4 116s78.5 94 163.4 85.7c84.8-8.6 148.8-60.3 143.4-116zM347.9 35.1c-25.9 5.6-16.8 43.7 8.3 38.3 72.3-15.2 134.8 52.8 111.7 124-7.4 24.2 29.1 37 37.4 12 31.9-99.8-55.1-195.9-157.4-174.3zm-78.5 311c-17.1 38.8-66.8 60-109.1 46.3-40.8-13.1-58-53.4-40.3-89.7 17.7-35.4 63.1-55.4 103.4-45.1 42 10.8 63.1 50.2 46 88.5zm-86.3-30c-12.9-5.4-30 .3-38 12.9-8.3 12.9-4.3 28 8.6 34 13.1 6 30.8.3 39.1-12.9 8-13.1 3.7-28.3-9.7-34zm32.6-13.4c-5.1-1.7-11.4.6-14.3 5.4-2.9 5.1-1.4 10.6 3.7 12.9 5.1 2 11.7-.3 14.6-5.4 2.8-5.2 1.1-10.9-4-12.9z"/></svg></a>
                </div>
            

            
                
                <div class="share-item douban">
                    
                    <a href="https://www.douban.com/share/service?href=https://rhidayat.onrender.com/posts/ckad-core-concepts/&amp;name=CKAD%20Core%20Concepts&amp;text=Core%20concepts%20%2813%25%29%0aPractise%20questions%20based%20on%20these%20concepts:%0a%20Understand%20Kubernetes%20API%20Primitives%20Create%20ANd%20configure%20Basic%20Pods%20%20Tulisan%20kali%20ini%20saya%20akan%20membahas%20materi%20core%20concepts%20untuk%20ujian%20CKAD." title="Share on Douban" target="_blank" rel="noopener"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" class="icon douban-icon"><path d="M.643.92v2.412h22.714V.92H.643zm1.974 4.926v9.42h18.764v-9.42H2.617zm2.72 2.408H18.69v4.605H5.338V8.254zm1.657 7.412l-2.512.938c1.037 1.461 1.87 2.825 2.512 4.091H0v2.385h24v-2.385h-6.678c.818-1.176 1.589-2.543 2.303-4.091l-2.73-.938a29.952 29.952 0 01-2.479 5.03h-4.75c-.786-1.962-1.677-3.641-2.672-5.03Z"/></svg></a>
                </div>
            

            
                
                <div class="share-item qq">
                    
                    <a href="https://connect.qq.com/widget/shareqq/index.html?url=https://rhidayat.onrender.com/posts/ckad-core-concepts/&amp;title=CKAD%20Core%20Concepts&amp;summary=Core%20concepts%20%2813%25%29%0aPractise%20questions%20based%20on%20these%20concepts:%0a%20Understand%20Kubernetes%20API%20Primitives%20Create%20ANd%20configure%20Basic%20Pods%20%20Tulisan%20kali%20ini%20saya%20akan%20membahas%20materi%20core%20concepts%20untuk%20ujian%20CKAD.&amp;pics=https://rhidayat.onrender.com/icons/apple-touch-icon.png&amp;site=home" title="Share on QQ" target="_blank" rel="noopener"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" class="icon qq-icon"><path d="M433.754 420.445c-11.526 1.393-44.86-52.741-44.86-52.741 0 31.345-16.136 72.247-51.051 101.786 16.842 5.192 54.843 19.167 45.803 34.421-7.316 12.343-125.51 7.881-159.632 4.037-34.122 3.844-152.316 8.306-159.632-4.037-9.045-15.25 28.918-29.214 45.783-34.415-34.92-29.539-51.059-70.445-51.059-101.792 0 0-33.334 54.134-44.859 52.741-5.37-.65-12.424-29.644 9.347-99.704 10.261-33.024 21.995-60.478 40.144-105.779C60.683 98.063 108.982.006 224 0c113.737.006 163.156 96.133 160.264 214.963 18.118 45.223 29.912 72.85 40.144 105.778 21.768 70.06 14.716 99.053 9.346 99.704z"/></svg></a>
                </div>
            

            
                
                <div class="share-item qzone">
                    
                    <a href="https://sns.qzone.qq.com/cgi-bin/qzshare/cgi_qzshare_onekey?url=https://rhidayat.onrender.com/posts/ckad-core-concepts/&amp;title=CKAD%20Core%20Concepts&amp;summary=Core%20concepts%20%2813%25%29%0aPractise%20questions%20based%20on%20these%20concepts:%0a%20Understand%20Kubernetes%20API%20Primitives%20Create%20ANd%20configure%20Basic%20Pods%20%20Tulisan%20kali%20ini%20saya%20akan%20membahas%20materi%20core%20concepts%20untuk%20ujian%20CKAD.&amp;pics=https://rhidayat.onrender.com/icons/apple-touch-icon.png&amp;site=home" title="Share on Qzone" target="_blank" rel="noopener"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" class="icon qzone-icon"><path d="M23.985 9.202c-.032-.099-.127-.223-.334-.258-.207-.036-7.351-1.406-7.351-1.406s-.105-.022-.198-.07c-.092-.047-.127-.167-.127-.167S12.447.956 12.349.77C12.25.583 12.104.532 12 .532c-.104 0-.251.051-.349.238-.098.186-3.626 6.531-3.626 6.531s-.035.12-.128.167c-.092.047-.197.07-.197.07S.556 8.908.348 8.943c-.208.036-.302.16-.333.258a.477.477 0 0 0 .125.449l5.362 5.49s.072.08.119.172c.016.104.005.21.005.21s-1.189 7.242-1.22 7.45.075.369.159.43c.083.062.233.106.421.013.189-.093 6.812-3.261 6.812-3.261s.098-.044.201-.061c.103-.017.201.061.201.061s6.623 3.168 6.812 3.261c.188.094.338.049.421-.013a.463.463 0 0 0 .159-.43c-.021-.14-.93-5.677-.93-5.677.876-.54 1.425-1.039 1.849-1.747-2.594.969-6.006 1.717-9.415 1.866-.915.041-2.41.097-3.473-.015-.678-.071-1.17-.144-1.243-.438-.053-.215.054-.46.545-.831a2640.5 2640.5 0 0 1 2.861-2.155c1.285-.968 3.559-2.47 3.559-2.731 0-.285-2.144-.781-4.037-.781-1.945 0-2.275.132-2.811.168-.488.034-.769.005-.804-.138-.06-.248.183-.389.588-.568.709-.314 1.86-.594 1.984-.626.194-.052 3.082-.805 5.618-.535 1.318.14 3.244.668 3.244 1.276 0 .342-1.721 1.494-3.225 2.597-1.149.843-2.217 1.561-2.217 1.688 0 .342 3.533 1.241 6.689 1.01l.003-.022c.048-.092.119-.172.119-.172l5.362-5.49a.477.477 0 0 0 .127-.449z"/></svg></a>
                </div>
            

            
                
                <div class="share-item qrcode">
                    <div class="qrcode-container" title="Share via QR Code"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" class="icon qrcode-icon"><path d="M0 224h192V32H0v192zM64 96h64v64H64V96zm192-64v192h192V32H256zm128 128h-64V96h64v64zM0 480h192V288H0v192zm64-128h64v64H64v-64zm352-64h32v128h-96v-32h-32v96h-64V288h96v32h64v-32zm0 160h32v32h-32v-32zm-64 0h32v32h-32v-32z"/></svg><div id="qrcode-img"></div>
                    </div>
                    <script src="https://cdn.jsdelivr.net/npm/qrcode-generator@1.4.4/qrcode.min.js"></script>

<script>
    var typeNumber = 0;
    var errorCorrectionLevel = 'L';
    var qr = qrcode(typeNumber, errorCorrectionLevel);
    qr.addData('https:\/\/rhidayat.onrender.com\/posts\/ckad-core-concepts\/');
    qr.make();
    document.getElementById('qrcode-img').innerHTML = qr.createImgTag();
</script>

                </div>
            

        </div>

    </div>




        
    
    
        <div class="related-posts">
            <h2 class="related-title">See Also:<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="icon related-icon"><path d="M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm144 276c0 6.6-5.4 12-12 12h-92v92c0 6.6-5.4 12-12 12h-56c-6.6 0-12-5.4-12-12v-92h-92c-6.6 0-12-5.4-12-12v-56c0-6.6 5.4-12 12-12h92v-92c0-6.6 5.4-12 12-12h56c6.6 0 12 5.4 12 12v92h92c6.6 0 12 5.4 12 12v56z"/></svg></h2>
            <ul class="related-list">
                
                    <li class="related-item">
                        <a href="/posts/ckad-pod-design/" class="related-link">CKAD Pod Design</a>
                    </li>
                
                    <li class="related-item">
                        <a href="/posts/ckad-configuration/" class="related-link">CKAD Configuration</a>
                    </li>
                
                    <li class="related-item">
                        <a href="/posts/ckad-multi-container-pods/" class="related-link">CKAD Multi Container Pods</a>
                    </li>
                
                    <li class="related-item">
                        <a href="/posts/ckad-state-persistent/" class="related-link">CKAD State Persistent</a>
                    </li>
                
                    <li class="related-item">
                        <a href="/posts/ckad-service-and-networking/" class="related-link">CKAD Service and Networking</a>
                    </li>
                
            </ul>
        </div>
    


        
    
        <div class="post-tags">
            
                
                
                
                
                    
                    <a href="/tags/kubernetes/" rel="tag" class="post-tags-link"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="icon tag-icon"><path d="M0 252.118V48C0 21.49 21.49 0 48 0h204.118a48 48 0 0 1 33.941 14.059l211.882 211.882c18.745 18.745 18.745 49.137 0 67.882L293.823 497.941c-18.745 18.745-49.137 18.745-67.882 0L14.059 286.059A48 48 0 0 1 0 252.118zM112 64c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48z"/></svg>kubernetes</a>
                
            
                
                
                
                
                    
                    <a href="/tags/ckad/" rel="tag" class="post-tags-link"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="icon tag-icon"><path d="M0 252.118V48C0 21.49 21.49 0 48 0h204.118a48 48 0 0 1 33.941 14.059l211.882 211.882c18.745 18.745 18.745 49.137 0 67.882L293.823 497.941c-18.745 18.745-49.137 18.745-67.882 0L14.059 286.059A48 48 0 0 1 0 252.118zM112 64c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48z"/></svg>CKAD</a>
                
            
        </div>
    


        

        

        
    
        
        
    
    
    
    
        <ul class="post-nav">
            
                <li class="post-nav-prev">
                    <a href="/posts/ckad-configuration/" rel="prev">< CKAD Configuration</a>
                </li>
            
            
                <li class="post-nav-next">
                    <a href="/posts/ckad-multi-container-pods/" rel="next">CKAD Multi Container Pods ></a>
                </li>
            
        </ul>
    


        


    </div>
</main>


            
    <div id="back-to-top" class="back-to-top">
        <a href="#"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" class="icon"><path d="M34.9 289.5l-22.2-22.2c-9.4-9.4-9.4-24.6 0-33.9L207 39c9.4-9.4 24.6-9.4 33.9 0l194.3 194.3c9.4 9.4 9.4 24.6 0 33.9L413 289.4c-9.5 9.5-25 9.3-34.3-.4L264 168.6V456c0 13.3-10.7 24-24 24h-32c-13.3 0-24-10.7-24-24V168.6L69.2 289.1c-9.3 9.8-24.8 10-34.3.4z"/></svg></a>
    </div>

            
    <footer id="footer" class="footer">
        <div class="footer-inner"><div class="site-info">©&nbsp;1969–2020&nbsp;<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="icon footer-icon"><path d="M462.3 62.6C407.5 15.9 326 24.3 275.7 76.2L256 96.5l-19.7-20.3C186.1 24.3 104.5 15.9 49.7 62.6c-62.8 53.6-66.1 149.8-9.9 207.9l193.5 199.8c12.5 12.9 32.8 12.9 45.3 0l193.5-199.8c56.3-58.1 53-154.3-9.8-207.9z"/></svg>&nbsp;rhidayat</div><div class="powered-by">Powered by <a href="https://github.com/gohugoio/hugo" target="_blank" rel="noopener">Hugo</a> | Theme is <a href="https://github.com/reuixiy/hugo-theme-meme" target="_blank" rel="noopener">MemE</a></div><div class="site-copyright"><a href="https://creativecommons.org/licenses/by-nc-sa/4.0/deed.en" target="_blank" rel="noopener">CC BY-NC-SA 4.0</a></div>

            
        </div>
    </footer>


        </div>
        <script src="/js/meme.min.7846f604d8a1dba7a97436c5b93e188bd054f38c9ea21521a9bd02e12d4b8606.js" integrity="sha256-eEb2BNih26epdDbFuT4Yi9BU84yeohUhqb0C4S1LhgY="></script>


    <script src="https://cdn.jsdelivr.net/gh/cferdinandi/smooth-scroll/dist/smooth-scroll.polyfills.min.js"></script>

<script>
    var scroll = new SmoothScroll('a[href*="#"]', {
        speedAsDuration: true,
        header: '[data-scroll-header]'
    });
</script>




    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/katex@0.11.0/dist/katex.min.css" integrity="sha384-BdGj8xC2eZkQaxoQ8nSLefg4AV4/AwB3Fj+8SUSo7pnKP6Eoy18liIKTPn9oBYNG" crossorigin="anonymous" />
<script>
    if (typeof renderMathInElement === 'undefined') {
        var getScript = (options) => {
            var script = document.createElement('script');
            script.defer = true;
            script.crossOrigin = 'anonymous';
            Object.keys(options).forEach((key) => {
                script[key] = options[key];
            });
            document.body.appendChild(script);
        };
        getScript({
            src: 'https://cdn.jsdelivr.net/npm/katex@0.11.0/dist/katex.min.js',
            integrity: 'sha384-JiKN5O8x9Hhs/UE5cT5AAJqieYlOZbGT3CHws/y97o3ty4R7/O5poG9F3JoiOYw1',
            onload: () => {
                getScript({
                    src: 'https://cdn.jsdelivr.net/npm/katex@0.11.0/dist/contrib/mhchem.min.js',
                    integrity: 'sha384-oa0lfxCGjaU1LdYckhq8LZcP+JTf8cyJXe69O6VE6UrShzWveT6KiCElJrck/stm',
                    onload: () => {
                        getScript({
                            src: 'https://cdn.jsdelivr.net/npm/katex@0.11.0/dist/contrib/auto-render.min.js',
                            integrity: 'sha384-kWPLUVMOks5AQFrykwIup5lo0m3iMkkHrD0uJ4H5cjeGihAutqP0yW0J6dpFiVkI',
                            onload: () => {
                                renderKaTex();
                            }
                        });
                    }
                });
            }
        });
    } else {
        renderKaTex();
    }
    function renderKaTex() {
        renderMathInElement(
            document.body,
            {
                delimiters: [
                    {left: "$$", right: "$$", display: true},
                    {left: "\\[", right: "\\]", display: true},
                    {left: "$", right: "$", display: false},
                    {left: "\\(", right: "\\)", display: false}
                ]
            }
        );
    }
</script>



    <script>
    if (typeof MathJax === 'undefined') {
        window.MathJax = {
            loader: {
                load: ['[tex]/mhchem']
            },
            
            tex: {
                inlineMath: {'[+]': [['$', '$']]},
                tags: 'ams',
                packages: {'[+]': ['mhchem']}
            }
        };
        (function() {
            var script = document.createElement('script');
            script.src = 'https://cdn.jsdelivr.net/npm/mathjax@3.0.1/es5/tex-mml-chtml.js';
            script.defer = true;
            document.head.appendChild(script);
        })();
    } else {
        MathJax.texReset();
        MathJax.typeset();
    }
</script>




    <script src="https://cdn.jsdelivr.net/npm/mermaid@8.4.8/dist/mermaid.min.js"></script>
<script>
    var config = {
        startOnLoad: true,
        flowchart: {
            useMaxWidth: false,
            htmlLabels: true
        }
    };
    mermaid.initialize(config);
</script>






    <script src="https://cdn.jsdelivr.net/npm/medium-zoom@latest/dist/medium-zoom.min.js"></script>

<script>
    mediumZoom(document.querySelectorAll('div.post-body img'), {
        background: 'hsla(var(--color-bg-h), var(--color-bg-s), var(--color-bg-l), 0.95)'
    })
</script>




    <script src="https://cdn.jsdelivr.net/npm/instant.page@3.0.0/instantpage.min.js" type="module" defer></script>










    </body>
</html>
